%define anolis_release 1
%global tarball xf86-input-wacom
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir %{moduledir}/input


Summary:    Xorg X11 wacom input driver
Name:       xorg-x11-drv-wacom
Version:    1.0.0
Release:    %{anolis_release}%{?dist}
URL:        http://www.x.org
License:    GPLv2+

Source0: https://github.com/linuxwacom/xf86-input-wacom/releases/download/xf86-input-wacom-%{version}/xf86-input-wacom-%{version}.tar.bz2

BuildRequires: make
BuildRequires: xorg-x11-server-devel >= 1.10.99.902
BuildRequires: xorg-x11-util-macros >= 1.3.0
BuildRequires: libX11-devel libXi-devel libXrandr-devel libXinerama-devel
BuildRequires: autoconf automake libtool
BuildRequires: systemd systemd-devel

Requires: Xorg %(xserver-sdk-abi-requires ansic)
Requires: Xorg %(xserver-sdk-abi-requires xinput)
Requires: xorg-x11-drv-wacom-serial-support

Provides:  linuxwacom = %{version}-%{release}
Obsoletes: linuxwacom <= 0.8.4.3

%description
X.Org X11 wacom input driver for Wacom tablets.

%prep
%setup -q -n %{tarball}-%{version}

%build
autoreconf --force -v --install || exit 1
%configure --disable-static --disable-silent-rules --enable-debug \
           --with-systemd-unit-dir=%{_unitdir} \
           --with-udev-rules-dir=%{_prefix}/lib/udev/rules.d/

make %{_smp_mflags}

%install
%make_install
# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --
mv $RPM_BUILD_ROOT/%{_prefix}/lib/udev/rules.d/wacom.rules $RPM_BUILD_ROOT/%{_prefix}/lib/udev/rules.d/70-wacom.rules

%files
%doc AUTHORS
%license GPL
%doc ChangeLog
%{driverdir}/wacom_drv.so
%{_mandir}/man4/wacom.4*
%{_mandir}/man1/xsetwacom.1*
%{_datadir}/X11/xorg.conf.d/70-wacom.conf
%{_bindir}/xsetwacom

%package devel
Summary:    Xorg X11 wacom input driver development package

Requires: xorg-x11-server-devel >= 1.7.0
Requires: pkgconfig

%description devel
X.Org X11 wacom input driver development files.

%files devel
%license GPL
%{_libdir}/pkgconfig/xorg-wacom.pc
%{_includedir}/xorg/Xwacom.h
%{_includedir}/xorg/wacom-properties.h
%{_includedir}/xorg/wacom-util.h
%{_includedir}/xorg/isdv4.h
%{_bindir}/isdv4-serial-debugger

%package serial-support
Summary:    Files for enabling the wacom_w8001 kernel driver

%description serial-support
Files for enabling the wacom_w8001 kernel driver on Wacom
ISDv4-compatible serial tablets. If enabled, the serial tablet's device node
will be available as normal evdev node.

%files serial-support
%license GPL
%{_prefix}/lib/udev/rules.d/70-wacom.rules
%{_bindir}/isdv4-serial-inputattach
%{_unitdir}/wacom-inputattach@.service

%changelog
* Wed Apr 20 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.0.0-1
- Init from upstream version  1.0.0

